Skip to main content
Server path: /google-calendar-api-events | Type: Application | PCID required: Yes

Tools

ToolDescription
google-calendar-api-events_create_eventCreates an event.
google-calendar-api-events_delete_eventDeletes an event.
google-calendar-api-events_find_free_timeFind available time slots within a date range by listing events on the primary calendar and computing gaps. Returns free time windows that are at least as long as the requested duration.
google-calendar-api-events_get_eventReturns an event based on its Google Calendar ID. To retrieve an event using its iCalendar ID, call the events.list method using the iCalUID parameter.
google-calendar-api-events_list_event_instancesReturns instances of the specified recurring event.
google-calendar-api-events_list_eventsReturns events on the specified calendar.
google-calendar-api-events_list_trigger_capabilitiesList the available trigger capabilities for Google Calendar. Returns supported polling configurations and configurable fields for event-based triggers.
google-calendar-api-events_move_eventMoves an event to another calendar, i.e. changes an event’s organizer.
google-calendar-api-events_poll_triggerPoll for Google Calendar events by type (created, updated, cancelled, started, ended). Uses cursor-based incremental sync to return only events changed since the last poll.
google-calendar-api-events_quick_add_eventCreates an event based on a simple text string.
google-calendar-api-events_replace_eventUpdates an event.
google-calendar-api-events_update_eventUpdates an event. This method supports patch semantics.

google-calendar-api-events_create_event

Creates an event. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
conferenceDataVersionintegerNoVersion number of conference data supported by the API client. Version 0 assumes no conference data support and ignores conference data in the event’s body. Version 1 enables support for copying of ConferenceData as well as for creating new conferences using the createRequest field of conferenceData. The default is 0.
maxAttendeesintegerNoThe maximum number of attendees to include in the response. If there are more than the specified number of attendees, only the participant is returned. Optional.
sendNotificationsbooleanNoDeprecated. Please use sendUpdates instead. Whether to send notifications about the creation of the new event. Note that some emails might still be sent even if you set the value to false. The default is false.
sendUpdatesstringNoWhether to send notifications about the creation of the new event. Note that some emails might still be sent. The default is false.
supportsAttachmentsbooleanNoWhether API client performing operation supports event attachments. Optional. The default is False.
anyoneCanAddSelfbooleanNoWhether anyone can invite themselves to the event (deprecated). Optional. The default is False.
attachmentsobject[]NoFile attachments for the event. In order to modify attachments the supportsAttachments request parameter should be set to true. There can be at most 25 attachments per event,
attendeesobject[]NoThe attendees of the event. See the Events with attendees guide for more information on scheduling events with other calendar users. Service accounts need to use domain-wide delegation of authority to populate the attendee list.
attendeesOmittedbooleanNoWhether attendees may have been omitted from the event’s representation. When retrieving an event, this may be due to a restriction specified by the maxAttendee query parameter. When updating an event, this can be used to only update the participant’s response. Optional. The default is False.
colorIdstringNoThe color of the event. This is an ID referring to an entry in the event section of the colors definition (see the colors endpoint). Optional.
conferenceDataobjectNoConference Data
createdstringNoCreation time of the event (as a RFC3339 timestamp). Read-only.
creatorobjectNoThe creator of the event. Read-only.
descriptionstringNoDescription of the event. Can contain HTML. Optional.
endobjectNoThe end value
endTimeUnspecifiedbooleanNoWhether the end time is actually unspecified. An end time is still provided for compatibility reasons, even if this attribute is set to True. The default is False.
etagstringNoETag of the resource.
eventTypestringNoSpecific type of the event. Read-only. Possible values are: - “default” - A regular event or not further specified. - “outOfOffice” - An out-of-office event. - “focusTime” - A focus-time event. - “workingLocation” - A working location event. Developer Preview.
extendedPropertiesobjectNoExtended properties of the event.
gadgetobjectNoA gadget that extends this event. Gadgets are deprecated; this structure is instead only used for returning birthday calendar metadata.
guestsCanInviteOthersbooleanNoWhether attendees other than the organizer can invite others to the event. Optional. The default is True.
guestsCanModifybooleanNoWhether attendees other than the organizer can modify the event. Optional. The default is False.
guestsCanSeeOtherGuestsbooleanNoWhether attendees other than the organizer can see who the event’s attendees are. Optional. The default is True.
hangoutLinkstringNoAn absolute link to the Google Hangout associated with this event. Read-only.
htmlLinkstringNoAn absolute link to this event in the Google Calendar Web UI. Read-only.
iCalUIDstringNoEvent unique identifier as defined in RFC5545. It is used to uniquely identify events accross calendaring systems and must be supplied when importing events via the import method. Note that the iCalUID and the id are not identical and only one of them should be supplied at event creation time. One difference in their semantics is that in recurring events, all occurrences of one event have different ids while they all share the same iCalUIDs. To retrieve an event using its iCalUID, call the events.list method using the iCalUID parameter. To retrieve an event using its id, call the events.get method.
idstringNoOpaque identifier of the event. When creating new single or recurring events, you can specify their IDs. Provided IDs must follow these rules: - characters allowed in the ID are those used in base32hex encoding, i.e. lowercase letters a-v and digits 0-9, see section 3.1.2 in RFC2938 - the length of the ID must be between 5 and 1024 characters - the ID must be unique per calendar Due to the globally distributed nature of the system, we cannot guarantee that ID collisions will be detected at event creation time. To minimize the risk of collisions we recommend using an established UUID algorithm such as one described in RFC4122. If you do not specify an ID, it will be automatically generated by the server. Note that the icalUID and the id are not identical and only one of them should be supplied at event creation time. One difference in their semantics is that in recurring events, all occurrences of one event have different ids while they all share the same icalUIDs.
kindstringNoType of the resource (“calendar#event”).
locationstringNoGeographic location of the event as free-form text. Optional.
lockedbooleanNoWhether this is a locked event copy where no changes can be made to the main event fields “summary”, “description”, “location”, “start”, “end” or “recurrence”. The default is False. Read-Only.
organizerobjectNoThe organizer of the event. If the organizer is also an attendee, this is indicated with a separate entry in attendees with the organizer field set to True. To change the organizer, use the move operation. Read-only, except when importing an event.
originalStartTimeobjectNoOriginal Start Time
privateCopybooleanNoIf set to True, Event propagation is disabled. Note that it is not the same thing as Private event properties. Optional. Immutable. The default is False.
recurrencestring[]NoList of RRULE, EXRULE, RDATE and EXDATE lines for a recurring event, as specified in RFC5545. Note that DTSTART and DTEND lines are not allowed in this field; event start and end times are specified in the start and end fields. This field is omitted for single events or instances of recurring events.
recurringEventIdstringNoFor an instance of a recurring event, this is the id of the recurring event to which this instance belongs. Immutable.
remindersobjectNoInformation about the event’s reminders for the authenticated user.
sequenceintegerNoSequence number as per iCalendar.
sourceobjectNoSource from which the event was created. For example, a web page, an email message or any document identifiable by an URL with HTTP or HTTPS scheme. Can only be seen or modified by the creator of the event.
startobjectNoThe start value
statusstringNoStatus of the event. Optional. Possible values are: - “confirmed” - The event is confirmed. This is the default status. - “tentative” - The event is tentatively confirmed. - “cancelled” - The event is cancelled (deleted). The list method returns cancelled events only on incremental sync (when syncToken or updatedMin are specified) or if the showDeleted flag is set to true. The get method always returns them. A cancelled status represents two different states depending on the event type: - Cancelled exceptions of an uncancelled recurring event indicate that this instance should no longer be presented to the user. Clients should store these events for the lifetime of the parent recurring event. Cancelled exceptions are only guaranteed to have values for the id, recurringEventId and originalStartTime fields populated. The other fields might be empty. - All other cancelled events represent deleted events. Clients should remove their locally synced copies. Such cancelled events will eventually disappear, so do not rely on them being available indefinitely. Deleted events are only guaranteed to have the id field populated. On the organizer’s calendar, cancelled events continue to expose event details (summary, location, etc.) so that they can be restored (undeleted). Similarly, the events to which the user was invited and that they manually removed continue to provide details. However, incremental sync requests with showDeleted set to false will not return these details. If an event changes its organizer (for example via the move operation) and the original organizer is not on the attendee list, it will leave behind a cancelled event where only the id field is guaranteed to be populated.
summarystringNoTitle of the event.
transparencystringNoWhether the event blocks time on the calendar. Optional. Possible values are: - “opaque” - Default value. The event does block time on the calendar. This is equivalent to setting Show me as to Busy in the Calendar UI. - “transparent” - The event does not block time on the calendar. This is equivalent to setting Show me as to Available in the Calendar UI.
updatedstringNoLast modification time of the event (as a RFC3339 timestamp). Read-only.
visibilitystringNoVisibility of the event. Optional. Possible values are: - “default” - Uses the default visibility for events on the calendar. This is the default value. - “public” - The event is public and event details are visible to all readers of the calendar. - “private” - The event is private and only event attendees may view event details. - “confidential” - The event is private. This value is provided for compatibility reasons.
workingLocationPropertiesobjectNoWorking Location Properties

google-calendar-api-events_delete_event

Deletes an event. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
eventIdstringYesEvent identifier.
sendNotificationsbooleanNoDeprecated. Please use sendUpdates instead. Whether to send notifications about the deletion of the event. Note that some emails might still be sent even if you set the value to false. The default is false.
sendUpdatesstringNoGuests who should receive notifications about the deletion of the event.

google-calendar-api-events_find_free_time

Find available time slots within a date range by listing events on the primary calendar and computing gaps. Returns free time windows that are at least as long as the requested duration. Parameters:
ParameterTypeRequiredDefaultDescription
timeMinstringYesStart of the time range to search (RFC3339, e.g. 2024-01-15T09:00:00Z)
timeMaxstringYesEnd of the time range to search (RFC3339, e.g. 2024-01-15T17:00:00Z)
durationintegerYesMinimum free slot duration in minutes (e.g. 30)

google-calendar-api-events_get_event

Returns an event based on its Google Calendar ID. To retrieve an event using its iCalendar ID, call the events.list method using the iCalUID parameter. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
eventIdstringYesEvent identifier.
alwaysIncludeEmailbooleanNoDeprecated and ignored. A value will always be returned in the email field for the organizer, creator and attendees, even if no real email address is available (i.e. a generated, non-working value will be provided).
maxAttendeesintegerNoThe maximum number of attendees to include in the response. If there are more than the specified number of attendees, only the participant is returned. Optional.
timeZonestringNoTime zone used in the response. Optional. The default is the time zone of the calendar.

google-calendar-api-events_list_event_instances

Returns instances of the specified recurring event. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
eventIdstringYesRecurring event identifier.
alwaysIncludeEmailbooleanNoDeprecated and ignored. A value will always be returned in the email field for the organizer, creator and attendees, even if no real email address is available (i.e. a generated, non-working value will be provided).
maxAttendeesintegerNoThe maximum number of attendees to include in the response. If there are more than the specified number of attendees, only the participant is returned. Optional.
maxResultsintegerNoMaximum number of events returned on one result page. By default the value is 250 events. The page size can never be larger than 2500 events. Optional.
originalStartstringNoThe original start time of the instance in the result. Optional.
pageTokenstringNoToken specifying which result page to return. Optional.
showDeletedbooleanNoWhether to include deleted events (with status equals “cancelled”) in the result. Cancelled instances of recurring events will still be included if singleEvents is False. Optional. The default is False.
timeMaxstringNoUpper bound (exclusive) for an event’s start time to filter by. Optional. The default is not to filter by start time. Must be an RFC3339 timestamp with mandatory time zone offset.
timeMinstringNoLower bound (inclusive) for an event’s end time to filter by. Optional. The default is not to filter by end time. Must be an RFC3339 timestamp with mandatory time zone offset.
timeZonestringNoTime zone used in the response. Optional. The default is the time zone of the calendar.

google-calendar-api-events_list_events

Returns events on the specified calendar. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
alwaysIncludeEmailbooleanNoDeprecated and ignored. A value will always be returned in the email field for the organizer, creator and attendees, even if no real email address is available (i.e. a generated, non-working value will be provided).
eventTypesstring[]NoEvent types to return. Optional. Possible values are: - “default” - “focusTime” - “outOfOffice”This parameter can be repeated multiple times to return events of different types. Currently, this is the only allowed value for this field: - [“default”, “focusTime”, “outOfOffice”] This value will be the default. If you’re enrolled in the Working Location developer preview program, in addition to the default value above you can also set the “workingLocation” event type: - [“default”, “focusTime”, “outOfOffice”, “workingLocation”] - [“workingLocation”] Additional combinations of these 4 event types will be made available in later releases. Developer Preview.
iCalUIDstringNoSpecifies an event ID in the iCalendar format to be provided in the response. Optional. Use this if you want to search for an event by its iCalendar ID.
maxAttendeesintegerNoThe maximum number of attendees to include in the response. If there are more than the specified number of attendees, only the participant is returned. Optional.
maxResultsintegerNoMaximum number of events returned on one result page. The number of events in the resulting page may be less than this value, or none at all, even if there are more events matching the query. Incomplete pages can be detected by a non-empty nextPageToken field in the response. By default the value is 250 events. The page size can never be larger than 2500 events. Optional.
orderBystringNoThe order of the events returned in the result. Optional. The default is an unspecified, stable order.
pageTokenstringNoToken specifying which result page to return. Optional.
privateExtendedPropertystring[]NoExtended properties constraint specified as propertyName=value. Matches only private properties. This parameter might be repeated multiple times to return events that match all given constraints.
qstringNoFree text search terms to find events that match these terms in the following fields: summary, description, location, attendee’s displayName, attendee’s email. Optional.
sharedExtendedPropertystring[]NoExtended properties constraint specified as propertyName=value. Matches only shared properties. This parameter might be repeated multiple times to return events that match all given constraints.
showDeletedbooleanNoWhether to include deleted events (with status equals “cancelled”) in the result. Cancelled instances of recurring events (but not the underlying recurring event) will still be included if showDeleted and singleEvents are both False. If showDeleted and singleEvents are both True, only single instances of deleted events (but not the underlying recurring events) are returned. Optional. The default is False.
showHiddenInvitationsbooleanNoWhether to include hidden invitations in the result. Optional. The default is False.
singleEventsbooleanNoWhether to expand recurring events into instances and only return single one-off events and instances of recurring events, but not the underlying recurring events themselves. Optional. The default is False.
syncTokenstringNoToken obtained from the nextSyncToken field returned on the last page of results from the previous list request. It makes the result of this list request contain only entries that have changed since then. All events deleted since the previous list request will always be in the result set and it is not allowed to set showDeleted to False. There are several query parameters that cannot be specified together with nextSyncToken to ensure consistency of the client state. These are: - iCalUID - orderBy - privateExtendedProperty - q - sharedExtendedProperty - timeMin - timeMax - updatedMin If the syncToken expires, the server will respond with a 410 GONE response code and the client should clear its storage and perform a full synchronization without any syncToken. Learn more about incremental synchronization. Optional. The default is to return all entries.
timeMaxstringNoUpper bound (exclusive) for an event’s start time to filter by. Optional. The default is not to filter by start time. Must be an RFC3339 timestamp with mandatory time zone offset, for example, 2011-06-03T10:00:00-07:00, 2011-06-03T10:00:00Z. Milliseconds may be provided but are ignored. If timeMin is set, timeMax must be greater than timeMin.
timeMinstringNoLower bound (exclusive) for an event’s end time to filter by. Optional. The default is not to filter by end time. Must be an RFC3339 timestamp with mandatory time zone offset, for example, 2011-06-03T10:00:00-07:00, 2011-06-03T10:00:00Z. Milliseconds may be provided but are ignored. If timeMax is set, timeMin must be smaller than timeMax.
timeZonestringNoTime zone used in the response. Optional. The default is the time zone of the calendar.
updatedMinstringNoLower bound for an event’s last modification time (as a RFC3339 timestamp) to filter by. When specified, entries deleted since this time will always be included regardless of showDeleted. Optional. The default is not to filter by last modification time.

google-calendar-api-events_list_trigger_capabilities

List the available trigger capabilities for Google Calendar. Returns supported polling configurations and configurable fields for event-based triggers.

google-calendar-api-events_move_event

Moves an event to another calendar, i.e. changes an event’s organizer. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier of the source calendar where the event currently is on.
eventIdstringYesEvent identifier.
destinationstringYesCalendar identifier of the target calendar where the event is to be moved to.
sendNotificationsbooleanNoDeprecated. Please use sendUpdates instead. Whether to send notifications about the change of the event’s organizer. Note that some emails might still be sent even if you set the value to false. The default is false.
sendUpdatesstringNoGuests who should receive notifications about the change of the event’s organizer.

google-calendar-api-events_poll_trigger

Poll for Google Calendar events by type (created, updated, cancelled, started, ended). Uses cursor-based incremental sync to return only events changed since the last poll. Parameters:
ParameterTypeRequiredDefaultDescription
eventTypesstring[]YesEvent types to poll for: “created”, “updated”, “cancelled”, “started”, “ended”
calendarIdstringNoCalendar ID to poll (defaults to “primary” if not specified)
cursorstringNoOpaque cursor from a previous poll response for incremental sync. Omit for the first poll.
minTimestampstringNoRFC3339 timestamp — only return events updated after this time. Used on first poll if no cursor is provided.
maxResultsintegerNoMaximum number of events to return per poll (default: 50)
eventFilterstringNoOptional natural language description to filter events (e.g., “meetings with John”)

google-calendar-api-events_quick_add_event

Creates an event based on a simple text string. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
textstringYesThe text describing the event to be created.
sendNotificationsbooleanNoDeprecated. Please use sendUpdates instead. Whether to send notifications about the creation of the event. Note that some emails might still be sent even if you set the value to false. The default is false.
sendUpdatesstringNoGuests who should receive notifications about the creation of the new event.

google-calendar-api-events_replace_event

Updates an event. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
eventIdstringYesEvent identifier.
alwaysIncludeEmailbooleanNoDeprecated and ignored. A value will always be returned in the email field for the organizer, creator and attendees, even if no real email address is available (i.e. a generated, non-working value will be provided).
conferenceDataVersionintegerNoVersion number of conference data supported by the API client. Version 0 assumes no conference data support and ignores conference data in the event’s body. Version 1 enables support for copying of ConferenceData as well as for creating new conferences using the createRequest field of conferenceData. The default is 0.
maxAttendeesintegerNoThe maximum number of attendees to include in the response. If there are more than the specified number of attendees, only the participant is returned. Optional.
sendNotificationsbooleanNoDeprecated. Please use sendUpdates instead. Whether to send notifications about the event update (for example, description changes, etc.). Note that some emails might still be sent even if you set the value to false. The default is false.
sendUpdatesstringNoGuests who should receive notifications about the event update (for example, title changes, etc.).
supportsAttachmentsbooleanNoWhether API client performing operation supports event attachments. Optional. The default is False.
anyoneCanAddSelfbooleanNoWhether anyone can invite themselves to the event (deprecated). Optional. The default is False.
attachmentsobject[]NoFile attachments for the event. In order to modify attachments the supportsAttachments request parameter should be set to true. There can be at most 25 attachments per event,
attendeesobject[]NoThe attendees of the event. See the Events with attendees guide for more information on scheduling events with other calendar users. Service accounts need to use domain-wide delegation of authority to populate the attendee list.
attendeesOmittedbooleanNoWhether attendees may have been omitted from the event’s representation. When retrieving an event, this may be due to a restriction specified by the maxAttendee query parameter. When updating an event, this can be used to only update the participant’s response. Optional. The default is False.
colorIdstringNoThe color of the event. This is an ID referring to an entry in the event section of the colors definition (see the colors endpoint). Optional.
conferenceDataobjectNoConference Data
createdstringNoCreation time of the event (as a RFC3339 timestamp). Read-only.
creatorobjectNoThe creator of the event. Read-only.
descriptionstringNoDescription of the event. Can contain HTML. Optional.
endobjectNoThe end value
endTimeUnspecifiedbooleanNoWhether the end time is actually unspecified. An end time is still provided for compatibility reasons, even if this attribute is set to True. The default is False.
etagstringNoETag of the resource.
eventTypestringNoSpecific type of the event. Read-only. Possible values are: - “default” - A regular event or not further specified. - “outOfOffice” - An out-of-office event. - “focusTime” - A focus-time event. - “workingLocation” - A working location event. Developer Preview.
extendedPropertiesobjectNoExtended properties of the event.
gadgetobjectNoA gadget that extends this event. Gadgets are deprecated; this structure is instead only used for returning birthday calendar metadata.
guestsCanInviteOthersbooleanNoWhether attendees other than the organizer can invite others to the event. Optional. The default is True.
guestsCanModifybooleanNoWhether attendees other than the organizer can modify the event. Optional. The default is False.
guestsCanSeeOtherGuestsbooleanNoWhether attendees other than the organizer can see who the event’s attendees are. Optional. The default is True.
hangoutLinkstringNoAn absolute link to the Google Hangout associated with this event. Read-only.
htmlLinkstringNoAn absolute link to this event in the Google Calendar Web UI. Read-only.
iCalUIDstringNoEvent unique identifier as defined in RFC5545. It is used to uniquely identify events accross calendaring systems and must be supplied when importing events via the import method. Note that the iCalUID and the id are not identical and only one of them should be supplied at event creation time. One difference in their semantics is that in recurring events, all occurrences of one event have different ids while they all share the same iCalUIDs. To retrieve an event using its iCalUID, call the events.list method using the iCalUID parameter. To retrieve an event using its id, call the events.get method.
idstringNoOpaque identifier of the event. When creating new single or recurring events, you can specify their IDs. Provided IDs must follow these rules: - characters allowed in the ID are those used in base32hex encoding, i.e. lowercase letters a-v and digits 0-9, see section 3.1.2 in RFC2938 - the length of the ID must be between 5 and 1024 characters - the ID must be unique per calendar Due to the globally distributed nature of the system, we cannot guarantee that ID collisions will be detected at event creation time. To minimize the risk of collisions we recommend using an established UUID algorithm such as one described in RFC4122. If you do not specify an ID, it will be automatically generated by the server. Note that the icalUID and the id are not identical and only one of them should be supplied at event creation time. One difference in their semantics is that in recurring events, all occurrences of one event have different ids while they all share the same icalUIDs.
kindstringNoType of the resource (“calendar#event”).
locationstringNoGeographic location of the event as free-form text. Optional.
lockedbooleanNoWhether this is a locked event copy where no changes can be made to the main event fields “summary”, “description”, “location”, “start”, “end” or “recurrence”. The default is False. Read-Only.
organizerobjectNoThe organizer of the event. If the organizer is also an attendee, this is indicated with a separate entry in attendees with the organizer field set to True. To change the organizer, use the move operation. Read-only, except when importing an event.
originalStartTimeobjectNoOriginal Start Time
privateCopybooleanNoIf set to True, Event propagation is disabled. Note that it is not the same thing as Private event properties. Optional. Immutable. The default is False.
recurrencestring[]NoList of RRULE, EXRULE, RDATE and EXDATE lines for a recurring event, as specified in RFC5545. Note that DTSTART and DTEND lines are not allowed in this field; event start and end times are specified in the start and end fields. This field is omitted for single events or instances of recurring events.
recurringEventIdstringNoFor an instance of a recurring event, this is the id of the recurring event to which this instance belongs. Immutable.
remindersobjectNoInformation about the event’s reminders for the authenticated user.
sequenceintegerNoSequence number as per iCalendar.
sourceobjectNoSource from which the event was created. For example, a web page, an email message or any document identifiable by an URL with HTTP or HTTPS scheme. Can only be seen or modified by the creator of the event.
startobjectNoThe start value
statusstringNoStatus of the event. Optional. Possible values are: - “confirmed” - The event is confirmed. This is the default status. - “tentative” - The event is tentatively confirmed. - “cancelled” - The event is cancelled (deleted). The list method returns cancelled events only on incremental sync (when syncToken or updatedMin are specified) or if the showDeleted flag is set to true. The get method always returns them. A cancelled status represents two different states depending on the event type: - Cancelled exceptions of an uncancelled recurring event indicate that this instance should no longer be presented to the user. Clients should store these events for the lifetime of the parent recurring event. Cancelled exceptions are only guaranteed to have values for the id, recurringEventId and originalStartTime fields populated. The other fields might be empty. - All other cancelled events represent deleted events. Clients should remove their locally synced copies. Such cancelled events will eventually disappear, so do not rely on them being available indefinitely. Deleted events are only guaranteed to have the id field populated. On the organizer’s calendar, cancelled events continue to expose event details (summary, location, etc.) so that they can be restored (undeleted). Similarly, the events to which the user was invited and that they manually removed continue to provide details. However, incremental sync requests with showDeleted set to false will not return these details. If an event changes its organizer (for example via the move operation) and the original organizer is not on the attendee list, it will leave behind a cancelled event where only the id field is guaranteed to be populated.
summarystringNoTitle of the event.
transparencystringNoWhether the event blocks time on the calendar. Optional. Possible values are: - “opaque” - Default value. The event does block time on the calendar. This is equivalent to setting Show me as to Busy in the Calendar UI. - “transparent” - The event does not block time on the calendar. This is equivalent to setting Show me as to Available in the Calendar UI.
updatedstringNoLast modification time of the event (as a RFC3339 timestamp). Read-only.
visibilitystringNoVisibility of the event. Optional. Possible values are: - “default” - Uses the default visibility for events on the calendar. This is the default value. - “public” - The event is public and event details are visible to all readers of the calendar. - “private” - The event is private and only event attendees may view event details. - “confidential” - The event is private. This value is provided for compatibility reasons.
workingLocationPropertiesobjectNoWorking Location Properties

google-calendar-api-events_update_event

Updates an event. This method supports patch semantics. Parameters:
ParameterTypeRequiredDefaultDescription
altstringNoData format for the response.
fieldsstringNoSelector specifying which fields to include in a partial response.
keystringNoAPI key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token.
oauth_tokenstringNoOAuth 2.0 token for the current user.
prettyPrintbooleanNoReturns response with indentations and line breaks.
quotaUserstringNoAn opaque string that represents a user for quota purposes. Must not exceed 40 characters.
userIpstringNoDeprecated. Please use quotaUser instead.
calendarIdstringYesCalendar identifier. To retrieve calendar IDs call the calendarList.list method. If you want to access the primary calendar of the currently logged in user, use the “primary” keyword.
eventIdstringYesEvent identifier.
alwaysIncludeEmailbooleanNoDeprecated and ignored. A value will always be returned in the email field for the organizer, creator and attendees, even if no real email address is available (i.e. a generated, non-working value will be provided).
conferenceDataVersionintegerNoVersion number of conference data supported by the API client. Version 0 assumes no conference data support and ignores conference data in the event’s body. Version 1 enables support for copying of ConferenceData as well as for creating new conferences using the createRequest field of conferenceData. The default is 0.
maxAttendeesintegerNoThe maximum number of attendees to include in the response. If there are more than the specified number of attendees, only the participant is returned. Optional.
sendNotificationsbooleanNoDeprecated. Please use sendUpdates instead. Whether to send notifications about the event update (for example, description changes, etc.). Note that some emails might still be sent even if you set the value to false. The default is false.
sendUpdatesstringNoGuests who should receive notifications about the event update (for example, title changes, etc.).
supportsAttachmentsbooleanNoWhether API client performing operation supports event attachments. Optional. The default is False.
anyoneCanAddSelfbooleanNoWhether anyone can invite themselves to the event (deprecated). Optional. The default is False.
attachmentsobject[]NoFile attachments for the event. In order to modify attachments the supportsAttachments request parameter should be set to true. There can be at most 25 attachments per event,
attendeesobject[]NoThe attendees of the event. See the Events with attendees guide for more information on scheduling events with other calendar users. Service accounts need to use domain-wide delegation of authority to populate the attendee list.
attendeesOmittedbooleanNoWhether attendees may have been omitted from the event’s representation. When retrieving an event, this may be due to a restriction specified by the maxAttendee query parameter. When updating an event, this can be used to only update the participant’s response. Optional. The default is False.
colorIdstringNoThe color of the event. This is an ID referring to an entry in the event section of the colors definition (see the colors endpoint). Optional.
conferenceDataobjectNoConference Data
createdstringNoCreation time of the event (as a RFC3339 timestamp). Read-only.
creatorobjectNoThe creator of the event. Read-only.
descriptionstringNoDescription of the event. Can contain HTML. Optional.
endobjectNoThe end value
endTimeUnspecifiedbooleanNoWhether the end time is actually unspecified. An end time is still provided for compatibility reasons, even if this attribute is set to True. The default is False.
etagstringNoETag of the resource.
eventTypestringNoSpecific type of the event. Read-only. Possible values are: - “default” - A regular event or not further specified. - “outOfOffice” - An out-of-office event. - “focusTime” - A focus-time event. - “workingLocation” - A working location event. Developer Preview.
extendedPropertiesobjectNoExtended properties of the event.
gadgetobjectNoA gadget that extends this event. Gadgets are deprecated; this structure is instead only used for returning birthday calendar metadata.
guestsCanInviteOthersbooleanNoWhether attendees other than the organizer can invite others to the event. Optional. The default is True.
guestsCanModifybooleanNoWhether attendees other than the organizer can modify the event. Optional. The default is False.
guestsCanSeeOtherGuestsbooleanNoWhether attendees other than the organizer can see who the event’s attendees are. Optional. The default is True.
hangoutLinkstringNoAn absolute link to the Google Hangout associated with this event. Read-only.
htmlLinkstringNoAn absolute link to this event in the Google Calendar Web UI. Read-only.
iCalUIDstringNoEvent unique identifier as defined in RFC5545. It is used to uniquely identify events accross calendaring systems and must be supplied when importing events via the import method. Note that the iCalUID and the id are not identical and only one of them should be supplied at event creation time. One difference in their semantics is that in recurring events, all occurrences of one event have different ids while they all share the same iCalUIDs. To retrieve an event using its iCalUID, call the events.list method using the iCalUID parameter. To retrieve an event using its id, call the events.get method.
idstringNoOpaque identifier of the event. When creating new single or recurring events, you can specify their IDs. Provided IDs must follow these rules: - characters allowed in the ID are those used in base32hex encoding, i.e. lowercase letters a-v and digits 0-9, see section 3.1.2 in RFC2938 - the length of the ID must be between 5 and 1024 characters - the ID must be unique per calendar Due to the globally distributed nature of the system, we cannot guarantee that ID collisions will be detected at event creation time. To minimize the risk of collisions we recommend using an established UUID algorithm such as one described in RFC4122. If you do not specify an ID, it will be automatically generated by the server. Note that the icalUID and the id are not identical and only one of them should be supplied at event creation time. One difference in their semantics is that in recurring events, all occurrences of one event have different ids while they all share the same icalUIDs.
kindstringNoType of the resource (“calendar#event”).
locationstringNoGeographic location of the event as free-form text. Optional.
lockedbooleanNoWhether this is a locked event copy where no changes can be made to the main event fields “summary”, “description”, “location”, “start”, “end” or “recurrence”. The default is False. Read-Only.
organizerobjectNoThe organizer of the event. If the organizer is also an attendee, this is indicated with a separate entry in attendees with the organizer field set to True. To change the organizer, use the move operation. Read-only, except when importing an event.
originalStartTimeobjectNoOriginal Start Time
privateCopybooleanNoIf set to True, Event propagation is disabled. Note that it is not the same thing as Private event properties. Optional. Immutable. The default is False.
recurrencestring[]NoList of RRULE, EXRULE, RDATE and EXDATE lines for a recurring event, as specified in RFC5545. Note that DTSTART and DTEND lines are not allowed in this field; event start and end times are specified in the start and end fields. This field is omitted for single events or instances of recurring events.
recurringEventIdstringNoFor an instance of a recurring event, this is the id of the recurring event to which this instance belongs. Immutable.
remindersobjectNoInformation about the event’s reminders for the authenticated user.
sequenceintegerNoSequence number as per iCalendar.
sourceobjectNoSource from which the event was created. For example, a web page, an email message or any document identifiable by an URL with HTTP or HTTPS scheme. Can only be seen or modified by the creator of the event.
startobjectNoThe start value
statusstringNoStatus of the event. Optional. Possible values are: - “confirmed” - The event is confirmed. This is the default status. - “tentative” - The event is tentatively confirmed. - “cancelled” - The event is cancelled (deleted). The list method returns cancelled events only on incremental sync (when syncToken or updatedMin are specified) or if the showDeleted flag is set to true. The get method always returns them. A cancelled status represents two different states depending on the event type: - Cancelled exceptions of an uncancelled recurring event indicate that this instance should no longer be presented to the user. Clients should store these events for the lifetime of the parent recurring event. Cancelled exceptions are only guaranteed to have values for the id, recurringEventId and originalStartTime fields populated. The other fields might be empty. - All other cancelled events represent deleted events. Clients should remove their locally synced copies. Such cancelled events will eventually disappear, so do not rely on them being available indefinitely. Deleted events are only guaranteed to have the id field populated. On the organizer’s calendar, cancelled events continue to expose event details (summary, location, etc.) so that they can be restored (undeleted). Similarly, the events to which the user was invited and that they manually removed continue to provide details. However, incremental sync requests with showDeleted set to false will not return these details. If an event changes its organizer (for example via the move operation) and the original organizer is not on the attendee list, it will leave behind a cancelled event where only the id field is guaranteed to be populated.
summarystringNoTitle of the event.
transparencystringNoWhether the event blocks time on the calendar. Optional. Possible values are: - “opaque” - Default value. The event does block time on the calendar. This is equivalent to setting Show me as to Busy in the Calendar UI. - “transparent” - The event does not block time on the calendar. This is equivalent to setting Show me as to Available in the Calendar UI.
updatedstringNoLast modification time of the event (as a RFC3339 timestamp). Read-only.
visibilitystringNoVisibility of the event. Optional. Possible values are: - “default” - Uses the default visibility for events on the calendar. This is the default value. - “public” - The event is public and event details are visible to all readers of the calendar. - “private” - The event is private and only event attendees may view event details. - “confidential” - The event is private. This value is provided for compatibility reasons.
workingLocationPropertiesobjectNoWorking Location Properties